Loading...
Searching...
No Matches
pcm_ioplug.h File Reference

External I/O-Plugin SDK. More...

Go to the source code of this file.

## Data Structures

struct | snd_pcm_ioplug_t
struct | snd_pcm_ioplug_callback_t

## Macros

#define | __ALSA_PCM_IOPLUG_H
#define | SND_PCM_IOPLUG_FLAG_LISTED (1<<0)
#define | SND_PCM_IOPLUG_FLAG_MONOTONIC (1<<1)
#define | SND_PCM_IOPLUG_FLAG_BOUNDARY_WA (1<<2)
#define | SND_PCM_IOPLUG_VERSION_MAJOR 1
#define | SND_PCM_IOPLUG_VERSION_MINOR 0
#define | SND_PCM_IOPLUG_VERSION_TINY 2
#define | SND_PCM_IOPLUG_VERSION

## Typedefs

typedef snd_pcm_ioplug | snd_pcm_ioplug_t
typedef snd_pcm_ioplug_callback | snd_pcm_ioplug_callback_t

## Enumerations

enum | { SND_PCM_IOPLUG_HW_ACCESS = 0 , SND_PCM_IOPLUG_HW_FORMAT , SND_PCM_IOPLUG_HW_CHANNELS , SND_PCM_IOPLUG_HW_RATE , SND_PCM_IOPLUG_HW_PERIOD_BYTES , SND_PCM_IOPLUG_HW_BUFFER_BYTES , SND_PCM_IOPLUG_HW_PERIODS , SND_PCM_IOPLUG_HW_PARAMS }

## Functions

int | snd_pcm_ioplug_create (snd_pcm_ioplug_t *io, const char *name, snd_pcm_stream_t stream, int mode)
| Create an ioplug instance.
int | snd_pcm_ioplug_delete (snd_pcm_ioplug_t *io)
| Delete the ioplug instance.
int | snd_pcm_ioplug_reinit_status (snd_pcm_ioplug_t *ioplug)
| Reinitialize the poll and mmap status.
const snd_pcm_channel_area_t * | snd_pcm_ioplug_mmap_areas (snd_pcm_ioplug_t *ioplug)
| Get mmap area of ioplug.
void | snd_pcm_ioplug_params_reset (snd_pcm_ioplug_t *io)
| Reset ioplug parameters.
int | snd_pcm_ioplug_set_param_minmax (snd_pcm_ioplug_t *io, int type, unsigned int min, unsigned int max)
| Set parameter as the min/max values.
int | snd_pcm_ioplug_set_param_list (snd_pcm_ioplug_t *io, int type, unsigned int num_list, const unsigned int *list)
| Set parameter as the list.
int | snd_pcm_ioplug_set_state (snd_pcm_ioplug_t *ioplug, snd_pcm_state_t state)
| Change the ioplug PCM status.
snd_pcm_uframes_t | snd_pcm_ioplug_avail (const snd_pcm_ioplug_t *const ioplug, const snd_pcm_uframes_t hw_ptr, const snd_pcm_uframes_t appl_ptr)
| Get the available frames. This function can be used to calculate the the available frames before calling snd_pcm_avail_update()
snd_pcm_uframes_t | snd_pcm_ioplug_hw_avail (const snd_pcm_ioplug_t *const ioplug, const snd_pcm_uframes_t hw_ptr, const snd_pcm_uframes_t appl_ptr)
| Get the available frames. This function can be used to calculate the the available frames before calling snd_pcm_avail_update()

## Detailed Description

External I/O-Plugin SDK.

Author
  Takashi Iwai tiwai.nosp@m.@sus.nosp@m.e.de

Date
  2005

External I/O-Plugin SDK

## Macro Definition Documentation

## __ALSA_PCM_IOPLUG_H

#define __ALSA_PCM_IOPLUG_H

header include loop protection